ULAT Time Now
ULAT is the abbreviation of Ulaanbaatar Time. Time zone offset of ULAT is UTC+08. Ulaanbaatar Time is 8 hours ahead from the UTC universal time. ULAT current date is 8th Thursday October 2026. Current time in ULAT (ULAT).
ULAT Time
03:19:12
8 October 2026 Thursday
ULAT is the abbreviation of Ulaanbaatar Time. It is the time standard used in the majority of Mongolia country except a few western provinces of the country. Ulaanbaatar Time is 8 hours ahead of the UTC universal time, and daylight saving time has been effective in Mongolia since 2015. This time standard is used in the cities of Ulaanbaatar, Erdenet, Darkhan, and so on.
What time is it in Ulaanbaatar Time now? It is 03:19:12 right now.
Ulaanbaatar Time Date and Time Now in Various Formats
| Date Time Format | ULAT Date Time Now |
|---|---|
| UTC | 2026-10-08T03:19:12Z |
| ISO-8601 | 2026-10-08T03:19:12+0000 |
| RFC 2822 | Thu, 08 Oct 2026 03:19:12 +0000 |
| RFC 850 | Thursday, 08-Oct-26 03:19:12 UTC |
| RFC 1036 | Thu, 08 Oct 26 03:19:12 +0000 |
| RFC 1123 | Thu, 08 Oct 2026 03:19:12 +0000 |
| RFC 822 | Thu, 08 Oct 26 03:19:12 +0000 |
| RFC 3339 | 2026-10-08T03:19:12+00:00 |
| ATOM | 2026-10-08T03:19:12+00:00 |
| COOKIE | Thursday, 08-Oct-2026 03:19:12 UTC |
| RSS | Thu, 08 Oct 2026 03:19:12 +0000 |
| W3C | 2026-10-08T03:19:12+00:00 |
| Unix Epoch | 1791429552 |
| YYYY-DD-MM HH:MM:SS | 2026-08-10 03:19:12 |
| YYYY-DD-MM HH:MM:SS am/pm | 2026-08-10 03:19:12 AM |
| DD-MM-YYYY HH:MM:SS | 08-10-2026 03:19:12 |
| MM-DD-YYYY HH:MM:SS | 10-08-2026 03:19:12 |